## pngtools 0.5~git20220314.1ccca3a

=== debian/changelog ===
pngtools (0.5~git20220314.1ccca3a-2) unstable; urgency=medium

  [ Michael Schaller ]
  * d/patches: Package fails to build without network access. Closes: 1013909

  [ Mathieu Malaterre ]
  * d/control: Bump Std-Vers to 4.6.1 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 11 Aug 2022 14:51:55 +0200

pngtools (0.5~git20220314.1ccca3a-1) unstable; urgency=medium

  * New upstream version 0.5~git20220314.1ccca3a

 -- Mathieu Malaterre <malat@debian.org>  Wed, 30 Mar 2022 16:33:55 +0200

pngtools (0.5~git20220111.bebd7b3-1) unstable; urgency=medium

  * New upstream version 0.5~git20220111.bebd7b3
  * d/patches: Remove patches applied upstream

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Jan 2022 11:52:03 +0100

pngtools (0.5~git20211218.2f4c05c-1) unstable; urgency=medium

  * d/control: Update to new Vcs URLs
  * d/rules: Make sure to compile without error
  * New upstream version 0.5~git20211218.2f4c05c
  * d/patches: Import pull requests from upstream repo. Closes: #544489, #668436, #743279
  * d/rules: Properly generate man page from upstream SGML

 -- Mathieu Malaterre <malat@debian.org>  Mon, 03 Jan 2022 12:31:24 +0100
