## pngtools 0.5~git20230507.177e87f

=== debian/changelog ===
pngtools (0.5~git20230507.177e87f-1) unstable; urgency=medium

  [ xiao sheng wen ]
  * Team upload.
  * New upstream version 0.5~git20230507.177e87f Closes: #1030152
  * Bump Standards-Version: 4.7.2
  * d/control: add Rules-Requires-Root: no
  * d/copyright: update year info
  * d/docs: add README
  * d/rules:
      - remove override_dh_clean target, add d/clean
      - remove export CFLAGS+=-Werror, no need
      - not generate man in it, no need

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- xiao sheng wen <atzlinux@debian.org>  Tue, 22 Apr 2025 14:46:20 +0800
