=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper-compat (= 13), docbook, docbook-utils, libpng-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://github.com/mikalstill/pngtools
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngtools
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngtools.git
