=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=0.5~git%cd.%h" \
https://github.com/mikalstill/pngtools \
HEAD debian uupdate
