## pngtools 1.1

=== debian/changelog ===
pngtools (1.1-1) unstable; urgency=medium

  * Team upload.
  * d/watch: update to use github tags
  * add d/gbp.conf
  * New upstream version 1.1
  * Bump Standards-Version: 4.7.3
  * d/control: delete Rules-Requires-Root: no, useless
  * d/copyright: update-debian-copyright to 2026
  * delete debian/patches, not needed
  * d/docs: rename README to README.md

 -- xiao sheng wen <atzlinux@debian.org>  Tue, 24 Feb 2026 10:55:24 +0800
