=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper-compat (= 13), docbook, docbook-utils, libpng-dev
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/mikalstill/pngtools
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngtools
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngtools.git
