## pngtools 1.2

=== debian/changelog ===
pngtools (1.2-1) unstable; urgency=medium

  * Team upload.
  * d/copyright: fix old-fsf-address-in-copyright-file
  * New upstream version 1.2, Closes:#1123747

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 25 Feb 2026 09:33:29 +0800
